For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ig

get

Retrieve Interest Group.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/ig/
GET /api/v1/dashboard/ig/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/dashboard/ig/
POST /api/v1/dashboard/ig/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

put/api/v1/dashboard/ig/
PUT /api/v1/dashboard/ig/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
204

No response body

No content

delete/api/v1/dashboard/ig/
DELETE /api/v1/dashboard/ig/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get

Retrieve Interest Group.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/ig/{id}/
GET /api/v1/dashboard/ig/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/ig/{id}/
POST /api/v1/dashboard/ig/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

put/api/v1/dashboard/ig/{id}/
PUT /api/v1/dashboard/ig/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
204

No response body

No content

delete/api/v1/dashboard/ig/{id}/
DELETE /api/v1/dashboard/ig/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

post

Join Interest Group instantly.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/ig/{id}/join/
POST /api/v1/dashboard/ig/{id}/join/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Leave Interest Group instantly.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/ig/{id}/join/
DELETE /api/v1/dashboard/ig/{id}/join/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Join Interest Group instantly.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/ig/{id}/leave/
POST /api/v1/dashboard/ig/{id}/leave/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Leave Interest Group instantly.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/ig/{id}/leave/
DELETE /api/v1/dashboard/ig/{id}/leave/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/ig/csv/
GET /api/v1/dashboard/ig/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/ig/get/{id}/
GET /api/v1/dashboard/ig/get/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

patch
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

patch/api/v1/dashboard/ig/get/{id}/
PATCH /api/v1/dashboard/ig/get/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Interest Group List Api.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/ig/list/
GET /api/v1/dashboard/ig/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "resource": "text",
    "about": "text",
    "prerequisites": "text",
    "career_opportunities": "text",
    "top_blogs": "text",
    "people_to_follow": "text",
    "leads": "text",
    "mentors": "text",
    "thinktank": "text",
    "office_hours": "text",
    "icon": "text",
    "code": "text",
    "category": "maker",
    "status": "active",
    "members": "text",
    "updated_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
get

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/ig/request/
GET /api/v1/dashboard/ig/request/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/dashboard/ig/request/
POST /api/v1/dashboard/ig/request/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
204

No response body

No content

delete/api/v1/dashboard/ig/request/
DELETE /api/v1/dashboard/ig/request/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

patch

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

patch/api/v1/dashboard/ig/request/
PATCH /api/v1/dashboard/ig/request/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/ig/request/{id}/
GET /api/v1/dashboard/ig/request/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/ig/request/{id}/
POST /api/v1/dashboard/ig/request/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
204

No response body

No content

delete/api/v1/dashboard/ig/request/{id}/
DELETE /api/v1/dashboard/ig/request/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

patch

API endpoint for users to submit and retrieve IG creation requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstringRequired
Responses
200

No response body

No content

patch/api/v1/dashboard/ig/request/{id}/
PATCH /api/v1/dashboard/ig/request/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

Last updated

Was this helpful?